Bug 48140 - Update Port: print/apsfilter (conditional A4 dependencies)
Summary: Update Port: print/apsfilter (conditional A4 dependencies)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: andreas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-10 15:00 UTC by Hervé Quiroz
Modified: 2004-02-28 16:05 UTC (History)
0 users

See Also:


Attachments
file.diff (1.94 KB, patch)
2003-02-10 15:00 UTC, Hervé Quiroz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hervé Quiroz 2003-02-10 15:00:25 UTC
	Patch to allow A4 psutils and a2ps dependencies when using BATCH mode.
Comment 1 Patrick Li freebsd_committer 2003-02-10 20:42:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->andreas

Over to maintainer
Comment 2 andreas freebsd_committer 2004-02-28 16:00:04 UTC
State Changed
From-To: open->closed

Thanks for your kind suggestion and for sending a patch. 
I modified your suggestion and decided, not to introduce 
two more variables. 
Instead of this I use the PAPERSIZE variable, that a2ps 
and psutils already use. 
This unique solution makes it possible later, to migrate this more 
easily into the macros part of the ports collection ... (ports/Mk/...) 
---------------------------- 
revision 1.115 
date: 2004/02/28 15:59:39;  author: andreas;  state: Exp;  lines: +18 -9 
- honour PAPERSIZE variable like in a2ps and psutils ports 
- default to letter 
- inspired by PR but using a more suitable solution to use the 
environment variable already used by other ports instead by 
using new one (PAPER_SIZE and A4_PAPER) 

PR:             48140 
----------------------------